# BEGIN SourceDeps(oneline):
BuildRequires: pkgconfig(ice) pkgconfig(xproxymngproto)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define build_plugin 0

Name:		xrx
Version:	1.0.4
Release:	alt1_10
Summary:	RX helper program
Group:		Development/C
Source0:	https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
License:	MIT
BuildRequires:	pkgconfig(x11) >= 1.0.0
BuildRequires:	pkgconfig(xau) >= 1.0.0
BuildRequires:	pkgconfig(xext) >= 1.0.0
BuildRequires:	pkgconfig(xt) >= 1.0.0
BuildRequires:	pkgconfig(xaw7) >= 1.0.1
BuildRequires:	xorg-util-macros >= 1.0.1
BuildRequires:	pkgconfig(xtrans) >= 1.0.0
%if %build_plugin
# for npapi.h
BuildRequires:	xulrunner-devel
%endif
Source44: import.info

%description
The xrx helper program may be used with any Web browser to interpret documents
in the RX MIME type format and start remote applications.

%if %build_plugin
%package plugin
Group:		Development/C
Summary:	RX browser plugins
Obsoletes:	libxrx0 < %{version}-%{release}
Obsoletes:	libxrxnest0 < %{version}-%{release}
Obsoletes:	libxrx-devel < %{version}-%{release}
Obsoletes:	libxrx-devel-static < %{version}-%{release}

%description plugin
Mozilla-type browser plugins to allow the handling of documents in the
RX MIME type format to start remote applications.
%endif

%prep
%setup -q


%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%makeinstall_std

%if %build_plugin
mkdir -p %{buildroot}%{_libdir}/mozilla/plugins
mv %{buildroot}%{_libdir}/*.so %{buildroot}%{_libdir}/mozilla/plugins
%else
rm -f %{buildroot}%{_libdir}/*.so
rm -f %{buildroot}%{_mandir}/man1/libxrx.*
%endif

rm -f %{buildroot}%{_libdir}/*.*a

%files
%{_bindir}/xrx
%{_mandir}/man1/xrx.1*

%if %build_plugin
%files plugin
%{_libdir}/mozilla/plugins/*.so
%{_mandir}/man1/libxrx.1*
%endif


%changelog
* Tue Apr 12 2022 Cronbuild Service <cronbuild@altlinux.org> 1.0.4-alt1_10
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 1.0.4-alt1_9
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.0.4-alt1_8
- update by mgaimport

* Sat Jul 14 2018 Igor Vlasenko <viy@altlinux.ru> 1.0.4-alt1_7
- update by mgaimport

* Thu Jun 07 2018 Igor Vlasenko <viy@altlinux.ru> 1.0.4-alt1_6
- new version

